import edu.rice.cs.mint.runtime.*;

// TODO: should there be an error here?

public class BadEscapeSample2 {
    public static separable SafeCode<Integer> foo(int x) {
        return (x==0) ? <| 0 |> : <| 1 |>;
    }
    public static void main (String [] args) {
        Code<Void> c = <| { 
            final int xyz = 1;
            Code<Integer> d = <| `(foo(xyz)) + 1 |>; 
            System.out.println(d.run());
        } |>;
        System.out.println(c.run ());
    }
}
